<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="cn.com.countrygarden.bi.main.dao.financial.BudgetdataMapper">
    <insert id="insertOrUpdate" parameterType="java.util.List" >
            INSERT INTO budgetdata
            (month,subject_code,subject_name,bus_name,pk_mvtype,org_name,pk_tb_wy01,op_type,op_code,quarter,value,year,status2,status3) 
            VALUES 
            <foreach collection="budgetdata" item="bdlist"  separator=",">         
            (#{bdlist.month},#{bdlist.subject_code},#{bdlist.subject_name},#{bdlist.bus_name},#{bdlist.pk_mvtype},#{bdlist.org_name},#{bdlist.pk_tb_wy01},#{bdlist.op_type},#{bdlist.op_code},#{bdlist.quarter}
            ,#{bdlist.value},#{bdlist.year},#{bdlist.status2},#{bdlist.status3})             
            </foreach>                      
    </insert>
</mapper>